using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Aurora.Proto.PartyV2;

namespace Aurora.Services.Server.EventManager
{
    public class EventAction
    {
        public EventAction(Action<BaseEvent> callback, Action cancel)
        {
            Callback = callback;
            Cancel = cancel;
        }
        public Action<BaseEvent> Callback { get; set; }
        public Action Cancel { get; set; }
    }
}